- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions

# MIkSystem Class Reference

# OpenMayaAnim - API module for animation

Search for all occurrences

## Detailed Description

Inverse kinematics (IK) system class.

This class provides an interface to the inverse kinematics (IK) system. The ik system is used to set/query the global snapping flag for handles, set/query the global solve flag for solvers, and to find the ik solvers available in maya.

`#include <MIkSystem.h>`

List of all members.

## Static Public Member Functions
static MObject | findSolver (MString name, MStatus *ReturnStatus=NULL)
| Returns the ik solver with the given name.
static MStatus | getSolvers (MStringArray &names)
| Get a list of the names for the solvers that are available in the system.
static bool | isGlobalSnap (MStatus *ReturnStatus=NULL)
| Determines whether global snapping is on.
static MStatus | setGlobalSnap (bool isSnap)
| Turns global snapping on or off.
static bool | isGlobalSolve (MStatus *ReturnStatus=NULL)
| Determines whether global solving is on.
static MStatus | setGlobalSolve (bool isSnap)
| Turns global solving on or off.
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MObject findSolver | ( | MString | name,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | `[static]`

Search for all occurrences

Returns the ik solver with the given name.

If the solver cannot be found then a a null MObject and an error is returned.

Parameters:

  [in] | name | the name of the solver to find
  [out] | ReturnStatus | Status Code (see below)

Returns:
  The ik solver matching the given name

Status Codes:
  - MS::kSuccess The named solver was returned
  - MS::kFailure No solver with the given name was found

MStatus getSolvers | ( | MStringArray & | names | ) | `[static]`

Search for all occurrences

Get a list of the names for the solvers that are available in the system.

Parameters:

  [out] | names | storage for the solver names

Returns:
  Status code

Status Codes:
  - MS::kSuccess The solver names were generated
  - MS::kInsufficientMemory Not enough memory to build array

bool isGlobalSnap | ( | MStatus * | ReturnStatus = `NULL` | ) | `[static]`

Search for all occurrences

Determines whether global snapping is on.

Turning on global snapping will turn on snapping for all ik handles.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Returns:
  - true global snapping is on
  - false global snapping is off

Status Codes:
  - MS::kSuccess The global snapping value was successfully returned

MStatus setGlobalSnap | ( | bool | isSnap | ) | `[static]`

Search for all occurrences

Turns global snapping on or off.

Turning on global snapping will turn on snapping for all ik handles.

Parameters:

  [in] | isSnap | true turns global snapping on, false turns it off

Status Codes:
  - MS::kSuccess The global snapping value was successfully set

bool isGlobalSolve | ( | MStatus * | ReturnStatus = `NULL` | ) | `[static]`

Search for all occurrences

Determines whether global solving is on.

Parameters:

  [out] | ReturnStatus | Status Code (see below)

Status Codes:
  - MS::kSuccess The global solve value was successfully returned

MStatus setGlobalSolve | ( | bool | isSolve | ) | `[static]`

Search for all occurrences

Turns global solving on or off.

Parameters:

  [in] | isSolve | true turns global solving on, false turns it off

Status Codes:
  - MS::kSuccess The global solve value was successfully set

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem
MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem MIkSystem